Name: gnome-commander
Version: 1.2.7
Release: alt3.M41.1

Summary: A Gnome file manager similar to the Norton Commander (TM)
License: GPL
Group: File tools
Url: http://www.freesoftware.fsf.org/gcmd/
Packager: Vladimir Scherbaev <vladimir at altlinux.org>

Source: %name-%version.tar.bz2
#Source1: %name.menu
Source2: %name-16.png
Source3: %name-32.png
Source4: %name-48.png

#Patch0: %name.patch

Provides: libgcmd.so.0
#Requires: fam
# Automatically added by buildreq on Fri Sep 26 2008
BuildRequires: flex gcc-c++ glibc-devel-static gnome-doc-utils-xslt libgnomeui-devel librarian perl-XML-Parser python-devel gnome-doc-utils >= 0.3.2

#BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel flex fontconfig freetype2
#BuildRequires: glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libalsa-devel
#BuildRequires: libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel
#BuildRequires: libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel
#BuildRequires: libjpeg-devel libpango-devel libpopt-devel libssl-devel libxml2-devel pkgconfig zlib-devel gnome-doc-utils >= 0.3.2

%description
Gnome Commander is a file manager that just like the classical Norton Commander (TM)
lets you do everything with the keyboard. It can perform all standard file operations
and some extra features like FTP support.

%prep
%setup -q
#%patch0 -p0

%build
%configure
%make_build RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p %buildroot%_datadir/pixmaps/%name
make DESTDIR=%buildroot install
##__install -pD -m644 SOURCE1 %buildroot%_menudir/%name
##__install -pD -m644 SOURCE2 %buildroot%_datadir/pixmaps/%name.png
%__install -pD -m644 %SOURCE2 %buildroot%_miconsdir/%name.png
%__install -pD -m644 %SOURCE3 %buildroot%_niconsdir/%name.png
%__install -pD -m644 %SOURCE4 %buildroot%_liconsdir/%name.png

%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO doc/*.txt 
#doc/*.png
%_man1dir/*
%_bindir/*
#%_menudir/*
%_libdir/%name
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
#%_libdir/%name/plugins/*.so*
#%_datadir/%name
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.png
%_datadir/pixmaps/%name
%_datadir/gnome/help/%name/C/*
%_datadir/omf/%name/*

%changelog
* Tue Jun 23 2009 Vladimir Scherbaev <vladimir@altlinux.org> 1.2.7-alt3.M41.1
- Backport to 4.1

* Tue Dec 16 2008 Vladimir Scherbaev <vladimir@altlinux.org> 1.2.7-alt4
- Some changes in spec file

* Fri Dec 12 2008 Vladimir Scherbaev <vladimir@altlinux.org> 1.2.7-alt3
- Add icons

* Thu Nov 20 2008 Vladimir Scherbaev <vladimir@altlinux.org> 1.2.7-alt2
- Apply repocop patch

* Fri Sep 26 2008 Vladimir Scherbaev <vladimir@altlinux.org> 1.2.7-alt1
- New version 1.2.7

* Fri May 14 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.1.6-alt2
- bug fix compile with gtk 2.4

* Tue Jan 20 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.1.6-alt1
- 1.1.6
- bugs fixes
- updated the cvs-plugin so that it can be used to diff and log files
- made the cwd label selectable (the one left of the cmdline)
- sorting column and direction is now remembered
- added button to the directory indicator to popup the directory history

* Sat Jan 17 2004 Andrey Semenov <mitrofan@altlinux.ru> 1.1.5-alt1
- 1.1.5
- the ext-column is now hidden when the extension is only showed together  with the filename
- fixed unnecessary redraws of the file-list when dragging files over it
- fixed problem with ftp-connections that didn't disappear from the connection toolbars when disconnected
- the program no longer tries to center itself on the desktop
- fixed problems when renaming directories

* Fri Nov 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.1.4-alt1
- 1.1.4
- Fixed bug when selecting multiple files with shift+mouse button
- Cleaned up the file-popup menu
- Fixed possible async error when cancelling a xfer operation
- Reworked the layout tab and removed the colors tab in the options dialog
- Improved plugin-system

* Sat Nov 15 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.1.3-alt1
- 1.1.3
- Bugs fixed
- Changed base class from GtkDialog to GnomeCmdDialog

* Sun Nov 2 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.1.2-alt1
- 1.1.2
- SMB browsing
- Major rewrite of alot of code
- Bugs fixed

* Thu Oct 30 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0.1-alt2
- Update build requires

* Sat Jun 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Fri Jun 6 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0-alt1
- Realese 1.0

* Thu Apr 20 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.12-alt2
- Add requires to fam and cleanup spec

* Tue Mar 25 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.12-alt1
- First version of RPM package.

